org.jboss.jca.deployers.fungal

## Class DsXmlDeployments

- java.lang.Object
- - org.jboss.jca.deployers.fungal.DsXmlDeployments

- All Implemented Interfaces:
    com.github.fungal.spi.deployers.Deployment

      public class DsXmlDeployments
      extends java.lang.Object
      implements com.github.fungal.spi.deployers.Deployment

  Datasource deployments for JCA/SJC
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DsXmlDeployments(java.net.URL deployment, java.util.List<DsXmlDeployment> deployments, java.lang.ClassLoader cl)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroy
    `java.lang.ClassLoader` | `getClassLoader()` Get the classloader
    `java.net.URL` | `getURL()` Get the unique URL for the deployment
    `void` | `stop()` Stop

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DsXmlDeployments

          public DsXmlDeployments(java.net.URL deployment,
                                  java.util.List<DsXmlDeployment> deployments,
                                  java.lang.ClassLoader cl)

      Constructor
      Parameters:
        `deployment` - The deployment
        `deployments` - The deployments
        `cl` - The classloader

  - ### Method Detail

    - #### getURL

          public java.net.URL getURL()

      Get the unique URL for the deployment
      Specified by:
        `getURL` in interface `com.github.fungal.spi.deployers.Deployment`
      Returns:
        The URL

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

      Get the classloader
      Specified by:
        `getClassLoader` in interface `com.github.fungal.spi.deployers.Deployment`
      Returns:
        The classloader

    - #### stop

          public void stop()

      Stop

    - #### destroy

          public void destroy()

      Destroy

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)